﻿using System.Windows;

using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams;
using Telerik.Windows.Diagrams.Core;

namespace RDConnectionGradient
{
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			StyleManager.ApplicationTheme = new MetroTheme();
			InitializeComponent();
			Loaded += OnLoaded;
		}

		private void OnLoaded(object sender, RoutedEventArgs routedEventArgs)
		{
			var c = new Point(345, 250);
			const double h = 200;
			var root = diagram.AddShape("Root", ShapeFactory.GetShapeGeometry(CommonShapeType.EllipseShape), new Point(350, 250));
			root.Width = 130;
			root.Height = 70;
			for (var x = 0; x < 3; x++)
			{
				for (var y = 0; y < 3; y++)
				{
					if (x == 1 && y == 1) continue;
					var shape = diagram.AddShape(string.Format("[{0},{1}]", x, y), ShapeFactory.GetShapeGeometry(CommonShapeType.EllipseShape), c + new Vector(-h + 1.2*x * h, -h + y * h));
					shape.Width = 70;
					shape.Height = 50;
					var con = new GradientConnection { Source = root, Target = shape, StrokeThickness = 4 };
					 con.ConnectionType=ConnectionType.Bezier;
					 diagram.AddConnection(con);


				}
			}
		}

	}
}
